=== debian/watch ===
version=5
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/(\d)(rc\d*)$/$1~$2/,pgpsigurlmangle=s/$/.asc/ \
https://files.inria.fr/starpu/ \
(?:|.*/)starpu(?:[_\-]v?|)@ANY_VERSION@@ARCHIVE_EXT@
