=== debian/changelog ===
starpu (1.4.10+dfsg-2) unstable; urgency=medium

  * patches/doxygen-choke: Fix typos making doxygen 1.9.15 choke
    (Closes: #1121854)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 04 Dec 2025 17:54:23 +0100

starpu (1.4.10+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.4-8 into libstarpu-1.4-9 according to soname bump.
  * patches/doxygen-hip: Avoid doxygen build warning.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 03 Dec 2025 13:16:15 +0100

starpu (1.4.9+dfsg-3) unstable; urgency=medium

  * Upload for libomp transition/rename (Closes: Bug#1121396)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 25 Nov 2025 20:34:00 +0100
