=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,6 @@
 undefine STARPU_DEVEL
 
 DH_OPTIONS=-Bbuild
-
-# These are the best versions that nvcc supports.
-CONTRIB_GCC_VERSION  := 8
-CONTRIB_CLANG_VERSION  := 8
 
 ifeq ($(DEB_SOURCE),starpu-contrib)
 # nvcc sometimes chokes on some gcc features
